List reviews with filters (SDK)
curl --request GET \
--url https://api.runflow.ai/api/v1/runtime/v1/observability/reviewsimport requests
url = "https://api.runflow.ai/api/v1/runtime/v1/observability/reviews"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.runflow.ai/api/v1/runtime/v1/observability/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Runtime API - Observability
List reviews with filters (SDK)
GET
/
api
/
v1
/
runtime
/
v1
/
observability
/
reviews
List reviews with filters (SDK)
Query Parameters
Agent ID to filter reviews
Filter by status
Available options:
pending_review, in_progress, resolved, wont_fix Filter by rating
Available options:
good, bad, needs_improvement Filter by priority
Available options:
low, medium, high, critical Search in comments (full-text search)
Example:
"horário"
Filter from date (ISO 8601)
Example:
"2025-12-01T00:00:00Z"
Filter to date (ISO 8601)
Example:
"2025-12-15T23:59:59Z"
Limit of results per page
Required range:
1 <= x <= 100Offset for pagination
Required range:
x >= 0Response
200
Reviews retrieved